import httpRequestApi from '../../../utils/APIClient';
Page({

  /**
   * 页面的初始数据
   */
  data: {
    collection_data: [],
    line1: '您还没有收藏过哦',
    line2: '快去收藏自己喜欢的吧'
  },

  toClass: function (e) {
    let targetCode = e.currentTarget.dataset.targetcode;
    let title = e.currentTarget.dataset.title;
    wx.navigateTo({
      url: `../../main/class/class?id=${targetCode}&title=${title}`
    });
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (option) {
    console.log(option.title);
    if (option.title) {
      wx.setNavigationBarTitle({
        title: option.title //页面标题为路由参数
      });
      this.setData({
        title: option.title
      });
    }
    httpRequestApi.myFavorites().success(res => {
      this.setData({
        collection_data: res.data.data.list
      }, () => {
        console.log(this.data.collection_data);
      });
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})